TheSwamp

CAD Forums => CAD General => Topic started by: sanju2323 on December 10, 2014, 04:46:05 AM

Title: I want lisp to get Elevation label at the polyline starting edge and ending edge
Post by: sanju2323 on December 10, 2014, 04:46:05 AM
I want lisp to get at the beginning and end of each polyline of the Elevation Label.
Title: Re: I want lisp to get Elevation label at the polyline starting edge and ending edge
Post by: ChrisCarlson on December 10, 2014, 07:45:01 AM
Ok, simply contact

http://www.lee-mac.com/contact.html

or

https://www.blackboxcad.com/Contact.html

and I'm sure they will write this for you, for a nominal fee
Title: Re: I want lisp to get Elevation label at the polyline starting edge and ending edge
Post by: Kerry on December 10, 2014, 08:00:56 AM
Chris,
There are quite a few people here who pay the bills by doing this stuff into the wee hours of the morning.

:-)

Title: Re: I want lisp to get Elevation label at the polyline starting edge and ending edge
Post by: ChrisCarlson on December 10, 2014, 11:16:06 AM
Well those are the only two I know maybe a master list should be created.
Title: Re: I want lisp to get Elevation label at the polyline starting edge and ending edge
Post by: tedg on December 10, 2014, 01:00:03 PM
Chris,
There are quite a few people here who pay the bills by doing this stuff into the wee hours of the morning.

 :)
Good point, maybe someone here who does programming into the wee hours for a nominal fee will respond.  ;)
This post looks familiar (http://forums.augi.com/showthread.php?159868-I-want-lisp-to-get-at-the-beginning-and-end-of-each-polyline-of-the-Elevation-Label)
Title: Re: I want lisp to get Elevation label at the polyline starting edge and ending edge
Post by: Rob... on December 10, 2014, 01:02:58 PM
... and here:
http://www.cadtutor.net/forum/showthread.php?90006-I-want-lisp-to-get-label-at-the-polyline-starting-edge-and-ending-edge
Title: Re: I want lisp to get Elevation label at the polyline starting edge and ending edge
Post by: ronjonp on December 10, 2014, 02:35:23 PM
and HERE (http://www.theswamp.org/index.php?topic=48397.msg534708#msg534708)
Title: Re: I want lisp to get Elevation label at the polyline starting edge and ending edge
Post by: mjfarrell on December 10, 2014, 02:40:22 PM
and HERE (http://www.theswamp.org/index.php?topic=48397.msg534708#msg534708)
ERROR  Circular Reference Detected
Title: Re: I want lisp to get Elevation label at the polyline starting edge and ending edge
Post by: snownut2 on December 11, 2014, 06:14:26 PM
Well he's consistent & persistent if nothing else....
Title: Re: I want lisp to get Elevation label at the polyline starting edge and ending edge
Post by: Kerry on December 11, 2014, 06:59:04 PM
sanju2323,

If I ask you for a more refined description of what you expect from the program could you provide it ?

added:
Quote
Opening an AutoCAD 2000 format file.
Regenerating model.
AutoCAD menu utilities loaded.
Command:
Autodesk DWG.  This file is a TrustedDWG last saved by an Autodesk application or Autodesk licensed application.
Will this be consistent ?

The Text SEEMS to have it's insertion point coincident with the Polyline end/start vertex.
Will this be consistent ?

Do you expect to have the data evaluated in any specific sequence ?

How do you want the resulting date presented. ?






Title: Re: I want lisp to get Elevation label at the polyline starting edge and ending edge
Post by: sanju2323 on December 11, 2014, 07:42:42 PM
Just like that
Code - Auto/Visual Lisp: [Select]
  1. (defun C:qq ()
  2.   (setq ss (ssget '((0 . "LWPOLYLINE"))))
  3.   (setq sslngth (sslength ss))
  4.   (setq idx 0)
  5.   (repeat sslngth
  6.     (setq ename (ssname ss (setq sslngth (1- sslngth))))
  7.     (setq edata (entget ename))
  8.     (setq xy (cdr (assoc 38 edata)))
  9.     (setq xy1 (cdr (assoc 10 edata)))
  10.     (setq xx (rtos xy 2 3))
  11.     (command "text" xy1 2 30 xx "")
  12.   )
  13. )
  14.  

edit:kdub-> code formatted and codeTags added code=cadlisp-7
Title: Re: I want lisp to get Elevation label at the polyline starting edge and ending edge
Post by: Kerry on December 11, 2014, 07:50:24 PM
Just like that
< .. >

OK, so you wanted to PUT the text , not GET it.

Happy that you have resolved your problem